#include <stdio.h>
#include "tii.h"
#include "global.h"

/*
 * Examples of handlers
 */
void
preedit_handler(char * str)
{
	fprintf(stderr, "[IIIMCF]PREEDIT: %s\n", str);
}

void
status_handler(char * str)
{
	fprintf(stderr, "[IIIMCF]STATUS: %s\n", str);
}

void
commit_handler(char * str)
{
	fprintf(stderr, "[IIIMCF]COMMIT: %s\n", str);
}

int
main(void)
{
	IMList * im;
	/*
	 * char im_name[];
	 * include a IIIMF-LEIF name (look at /usr/lib/im/leif)
	 * or a pre-defined IM name (defined in tii.c)
	 */
	char im_name[] = "hangul";

	/* Initalize */
	tii_global_use_im(im_name);
	im = tii_get_im();
	im->init();

	/* Send keys */
	im->sendkey('d', 0);
	im->sendkey('n', 0);
	im->sendkey('f', 0);
	im->sendkey('l', 0);
	im->sendkey('a', 0);
	im->sendkey('k', 0);
	im->sendkey('f', 0);
	im->sendkey('\n', 0);

	/* Finalize */
	im->exit();
	return 0;
}
